MAKEE

How to Install MAKEE for Ubuntu 8.10 and 9.04 (at least for my versions)

Brief explanation. It appears that MAKEE is written for compilers that are no longer supported and the new compilers cannot do the job. The way to fix this (at least on Ubuntu 8.10) is to do the following.

Download MAKEE from: http://spider.ipac.caltech.edu/staff/tab/makee/

untar all the stuff.

You have to specifically tell Ubuntu that you want to download old stuff, so you have to add an outdated directory to the sources list in Ubuntu that directs "aptitude" to where it ought to download packages.

sudo vim /etc/apt/sources.list

add the following after "universe" talk (change country code if not in the "US") :

deb http://us.archive.ubuntu.com/ubuntu/ hardy universe 
deb-src http://us.archive.ubuntu.com/ubuntu/ hardy universe 
deb http://us.archive.ubuntu.com/ubuntu/ hardy-updates universe 
deb-src http://us.archive.ubuntu.com/ubuntu/ hardy-updates universe

sudo aptitude update

sudo aptitude install g77

sudo aptitude install gcc-3.3

sudo aptitude install pgplot5

in the directory that you've installed MAKEE, edit the OptionsLinux file.

vi OptionsLinux

Change the GCC flag to say:

GCC     = gcc-3.3

make linux

To make MAKEE executable, I did the following:

mv makee_5.2.4-sep08/ /usr/local/

and changed my ~/.bashrc by adding:

export MAKEE_DIR=/usr/local/makee_5.2.4-sep08
export PGPLOT_FONT=/usr/local/src/pgplot/fonts/grfont.dat
export LD_LIBRARY_PATH=${LD_LIBRARY_PATH}:/usr/local/src/pgplot/
export PATH=${PATH}:${MAKEE_DIR}/bin

Good luck!
Unless otherwise stated, the content of this page is licensed under Creative Commons Attribution-Share Alike 2.5 License.